Loading...
Searching...
No Matches
OBScoreGrid Class Reference

`#include <openbabel/grid.h>`

## Public Member Functions

| OBScoreGrid (void)
virtual | ~OBScoreGrid (void)
void | SetVerbose (bool v)
void | SetType (score_t type)
score_t | GetType (void)
virtual void | Clear (void)
virtual double | Eval (double *)
virtual double | Eval (OBMol &mol)
virtual void | Init (OBMol &, OBMol &, std::string &, double)
virtual void | Setup (OBMol &)
virtual void | Setup (OBMol &, std::vector< int > &)
virtual void | Setup (std::vector< int > &)
virtual void | Config (std::string)
virtual bool | Read (std::string)
virtual bool | Write (std::string)
virtual vector3 | Center ()
virtual vector3 | CenterMol (OBMol &)

## Public Attributes

double | score

## Protected Attributes

score_t | gridtype
bool | verbose

## Detailed Description

A base class for scoring docking interactions between multiple molecules.

Deprecated
  Will disappear in future versions. Use your own code.

## Constructor & Destructor Documentation

## OBScoreGrid()

OBScoreGrid | ( | void |  | ) |

inline

## ~OBScoreGrid()

virtual ~OBScoreGrid | ( | void |  | ) |

inline virtual

## Member Function Documentation

## SetVerbose()

void SetVerbose | ( | bool | v | ) |

inline

## SetType()

void SetType | ( | score_t | type | ) |

inline

## GetType()

score_t GetType | ( | void |  | ) |

inline

## Clear()

virtual void Clear | ( | void |  | ) |

inline virtual

## Eval() [1/2]

virtual double Eval | ( | double * |  | ) |

inline virtual

## Eval() [2/2]

virtual double Eval | ( | OBMol & | mol | ) |

inline virtual

Referenced by Eval().

## Init()

virtual void Init | ( | OBMol & | ,
|  | OBMol & | ,
|  | std::string & | ,
|  | double | )

inline virtual

## Setup() [1/3]

virtual void Setup | ( | OBMol & |  | ) |

inline virtual

## Setup() [2/3]

virtual void Setup | ( | OBMol & | ,
|  | std::vector< int > & | )

inline virtual

## Setup() [3/3]

virtual void Setup | ( | std::vector< int > & |  | ) |

inline virtual

## Config()

virtual void Config | ( | std::string |  | ) |

inline virtual

## Read()

virtual bool Read | ( | std::string |  | ) |

inline virtual

## Write()

virtual bool Write | ( | std::string |  | ) |

inline virtual

## Center()

virtual vector3 Center | ( |  | ) |

inline virtual

## CenterMol()

virtual vector3 CenterMol | ( | OBMol & |  | ) |

inline virtual

## Member Data Documentation

## gridtype

score_t gridtype

protected

Referenced by GetType(), and SetType().

## verbose

bool verbose

protected

Referenced by OBScoreGrid(), and SetVerbose().

## score

double score

The documentation for this class was generated from the following file:

- grid.h